package com.kmall.common.constant;

/**
 * @author huangyq
 * @version 1.0
 * 2018-10-11 09:38:30
 */
public class Dict {

    /**
     * 支付方式，weixin:微信;alipay:支付宝;tenpay:QQ财付通
     */
    public enum payFlag {
        item_weixin("weixin", "微信"),
        item_tenpay("tenpay", "财付通"),
        item_alipay("alipay", "支付宝"),
        item_pingan("pingan", "平安支付"),
        item_wxglobalpay("wxglobalpay", "微信国际支付"),
        item_cash("cash", "现金");

        private String item;
        private String itemName;

        payFlag(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 订单业务类型：00:保税备货， 02:保税展示补货，10:保税展示跨境，11:普通商品
     */
    public enum orderBizType {
        item_00("00", "保税备货"),
        item_02("02", "保税展示补货"),
        item_10("10", "保税展示跨境"),
        item_11("11", "普通商品");

        private String item;
        private String itemName;

        orderBizType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 商户返回核验结果，0:未知，1:一致，2:不一致
     */
    public enum merchReturnSubjectChecked {
        item_0("0", "未知"),
        item_1("1", "一致"),
        item_2("2", "不一致");

        private String item;
        private String itemName;

        merchReturnSubjectChecked(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 平安返回核验结果，0:未知，1:一致，2:不一致
     */
    public enum pinganReturnSubjectChecked {
        item_0("0", "未知"),
        item_1("1", "一致"),
        item_2("2", "不一致");

        private String item;
        private String itemName;

        pinganReturnSubjectChecked(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 校验结果状态 1：通过，2：不通过
     */
    public enum subjectChecked {
        item_1("1", "通过"),
        item_2("2", "不通过");

        private String item;
        private String itemName;

        subjectChecked(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 通知状态，0:待发送，1:发送中，2:成功，3:失败
     */
    public enum notiStatus {
        item_0("0", "待发送"),
        item_1("1", "发送中"),
        item_2("2", "成功"),
        item_3("3", "失败");

        private String item;
        private String itemName;

        notiStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 是否停止通知，0:否，1:是
     */
    public enum isStop {
        item_0("0", "否"),
        item_1("1", "是");

        private String item;
        private String itemName;

        isStop(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 是否已使用
     */
    public enum isUsed {
        item_0("0", "否"),
        item_1("1", "是");

        private String item;
        private String itemName;

        isUsed(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }


    /**
     * 是否已发送
     */
    public enum isSend {
        item_0("0", "失败"),
        item_1("1", "成功");

        private String item;
        private String itemName;

        isSend(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 物流状态：0-暂无轨迹信息 2-在途中,3-签收,4-问题件
     */
    public enum logisticsStatus {
        item_0("0", "暂无轨迹信息"),
        item_2("2", "在途中"),
        item_3("3", "签收"),
        item_4("4", "问题件");

        private String item;
        private String itemName;

        logisticsStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 订单状态： 0 订单创建成功等待付款，100订单付款中,　101 订单已取消，　102 订单已删除，201 订单已付款，等待发货，300 订单已发货， 301 用户确认收货，400 维权申请中
     * 401 没有发货，退款　402 已收货，退款退货 500 订单已关闭 501 支付失败
     */
    public enum orderStatus {
        item_0("0", "订单创建成功等待付款"),
        item_100("100", "订单付款中"),
        item_101("101", "订单已取消"),
        item_102("102", "订单已删除"),
        item_201("201", "订单已付款"),
        item_300("300", "订单已发货"),
        item_301("301", "用户确认收货"),
//        item_400("400", "维权申请中"),
        item_401("401", "没有发货，退款"),
        item_402("402", "已收货，退款退货"),
        item_500("500", "订单已关闭"),
        item_501("501", "支付失败");

        private String item;
        private String itemName;

        orderStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 付款状态 支付状态;0 未付款;1 付款中;2 已付款;3 退款中;4 退款; 5：退款关闭；6：退款异常 7：订单关闭 8 支付失败
     */
    public enum payStatus {
        item_0("0", "未付款"),
        item_1("1", "付款中"),
        item_2("2", "已付款"),
        item_3("3", "退款中"),
        item_4("4", "退款"),
        item_5("5", "退款关闭"),
        item_6("6", "退款异常"),
        item_7("7", "订单关闭"),
        item_8("8", "支付失败");

        private String item;
        private String itemName;

        payStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 异常状态 00 订单支付失败 01 系统异常 02 订单超时 03 订单退款失败 04 其他
     */
    public enum exceptionStatus {
        item_00("00", "订单支付失败"),
        item_01("01", "系统异常"),
        item_02("02", "订单超时"),
        item_03("03", "订单退款失败"),
        item_04("04", "其他");

        private String item;
        private String itemName;

        exceptionStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 退款类型 1 用户全额退款 2 系统部分退款
     */
    public enum RefundType {
        item_1("1", "用户全额退款"),
        item_2("2", "系统部分退款");

        private String item;
        private String itemName;

        RefundType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 退款状态 1 申请中 2 退款成功 3 已拒绝  4 微信退款失败 5 微信退款处理中
     */
    public enum RefundStatus {
        item_1("1", "申请中"),
        item_2("2", "退款成功"),
        item_3("3", "已拒绝"),
        item_4("4", "微信退款失败"),
        item_5("5", "微信退款处理中");

        private String item;
        private String itemName;

        RefundStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 商品分类级别 L1:一级分类 L2：二级分类
     */
    public enum Level {
        item_L1("L1", "一级分类"),
        item_L2("L2", "二级分类");

        private String item;
        private String itemName;

        Level(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 是否合并支付 0:单笔支付 1：合并支付
     */
    public enum isMergePay {
        item_0("0", "单笔支付"),
        item_1("1", "合并支付");

        private String item;
        private String itemName;

        isMergePay(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 是否线下订单：0：线上购买 1：线下购买
     */
    public enum isOnfflineOrder {
        item_0("0", "线上购买"),
        item_1("1", "线下购买");

        private String item;
        private String itemName;

        isOnfflineOrder(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 角色类型：1：操作员；2：店员；3：商户管理员 4：第三方商户管理员
     */
    public enum roleType {
        item_1("1", "操作员"),
        item_2("2", "店员"),
        item_3("3", "商户管理员"),
        item_4("4", "第三方商户管理员");

        private String item;
        private String itemName;

        roleType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum isDelete {
        item_0("0", "未删除"),
        item_1("1", "已删除");

        private String item;
        private String itemName;

        isDelete(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum isOnSale {
        item_0("0", "下架"),
        item_1("1", "上架");

        private String item;
        private String itemName;

        isOnSale(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * SUCCESS—支付成功
     * REFUND—转入退款
     * NOTPAY—未支付
     * CLOSED—已关闭
     * REVOKED—已撤销（刷卡支付）
     * USERPAYING--用户支付中
     * PAYERROR--支付失败(其他原因，如银行返回失败)
     */
    public enum tradeState {
        item_SUCCESS("SUCCESS", "支付成功"),
        item_REFUND("REFUND", "转入退款"),
        item_NOTPAY("NOTPAY", "未支付"),
        item_CLOSED("CLOSED", "已关闭"),
        item_REVOKED("REVOKED", "已撤销（刷卡支付）"),
        item_USERPAYING("USERPAYING", "用户支付中"),
        item_PAYERROR("PAYERROR", "支付失败(其他原因，如银行返回失败)");

        private String item;
        private String itemName;

        tradeState(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum pinganPayStatus {
        item_1("1", "交易成功"),
        item_2("2", "待支付"),
        item_4("4", "已取消"),
        item_9("9", "等待用户输入密码确认");

        private String item;
        private String itemName;

        pinganPayStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum pinganRefundStatus {
        item_1("1", "退款成功"),
        item_2("2", "退款处理中"),
        item_3("3", "退款异常"),
        item_4("4", "退款关闭");

        private String item;
        private String itemName;

        pinganRefundStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     *  企业返回海关所需获取的支付相关实时数据状态：0，接收；1，发送成功；2，发送失败；3，加签失败
     */
    public enum cusDateOpenStatus {
        item_0("0", "接收"),
        item_10000("10000", "发送成功"),
        item_20000("20000", "发送失败"),
        item_3("3", "加签失败");

        private String item;
        private String itemName;

        cusDateOpenStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     *  验核机构，1-银联 2-网联 3-其他
     */
    public enum verDept {
        item_1("1", "银联"),
        item_2("2", "网联"),
        item_3("3", "其他");

        private String item;
        private String itemName;

        verDept(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     *  支付类型，1-APP 2-PC 3-扫码 4-其他
     */
    public enum payType {
        item_1("1", "APP"),
        item_2("2", "PC"),
        item_3("3", "扫码"),
        item_4("4", "其他");

        private String item;
        private String itemName;

        payType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 商品库存是否共享 0：否 1：是
     */
    public enum isStockShare {
        item_0("0", "否"),
        item_1("1", "是");

        private String item;
        private String itemName;

        isStockShare(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 变动类型 0：还原 1：扣减 2：新增调整 3：更新调整增加 4：更新调整减少
     */
    public enum changeType {
        item_0("0", "还原"),
        item_1("1", "扣减"),
        item_2("2", "新增调整"),
        item_3("3", "更新调整增加"),
        item_4("4", "更新调整减少");

        private String item;
        private String itemName;

        changeType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 是否被扫描
     */
    public enum isDistSellScan {
        item_0("0", "否"),
        item_1("1", "是");

        private String item;
        private String itemName;

        isDistSellScan(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 0：否 1：是
     */
    public enum status {
        item_0("0", "否"),
        item_1("1", "是");

        private String item;
        private String itemName;

        status(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 分配方式，【alloc_type，00:比例，10:金额】
     */
    public enum allocType {
        item_00("00", "比例"),
        item_10("10", "金额");

        private String item;
        private String itemName;

        allocType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 发货状态0 未发货,1 已发货,2 已收货,4 退货
     */
    public enum shippingStatus {
        item_0("0", "未发货"),
        item_1("1", "已发货"),
        item_2("2", "已收货"),
        item_4("4", "退货");

        private String item;
        private String itemName;

        shippingStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum promType {
        item_00("00", "活动"),
        item_10("10", "商品");

        private String item;
        private String itemName;

        promType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 是否结束 0：已结束，1：进行中，2：未开始
     */
    public enum isFinished {
        item_0("0", "已结束"),
        item_1("1", "进行中"),
        item_2("2", "未开始");

        private String item;
        private String itemName;

        isFinished(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 是否有效 0：有效，1：无效
     */
    public enum isValid {
        item_0("0", "有效"),
        item_1("1", "无效");

        private String item;
        private String itemName;

        isValid(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 按钮 0：确定按钮，1：取消按钮
     */
    public enum isSubmit {
        item_0("0", "确定按钮"),
        item_1("1", "取消按钮");

        private String item;
        private String itemName;

        isSubmit(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * effectTimeType
     */
    public enum effectTimeType {
        item_00("00", "固定时间"),
        item_01("01", "领取后生效");

        private String item;
        private String itemName;

        effectTimeType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum tickDiscType {
        item_00("00", "代金券"),
        item_01("01", "折扣券"),
        item_02("02", "兑换券");

        private String item;
        private String itemName;

        tickDiscType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum applyType {
        item_00("00", "全部商品参与"),
        item_01("01", "指定商品参与"),
        item_02("02", "指定商品不参与");

        private String item;
        private String itemName;

        applyType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 减免活动类型， 00:满x元减，01:满x件减，10:满x元折，11:满x件折
     */
    public enum campMinusType {
        item_00("00", "满x元减"),
        item_01("01", "满x件减"),
        item_10("10", "满x元折"),
        item_11("11", "满x件折");

        private String item;
        private String itemName;

        campMinusType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 减免方式【minus_mode，00:满足最高层级减一次，10:每满一次减一次】
     */
    public enum minusMode {
        item_00("00", "满足最高层级减一次"),
        item_10("10", "每满一次减一次");

        private String item;
        private String itemName;

        minusMode(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 优惠券是否过期，0：否，1：是
     */
    public enum discountIsPast {
        item_0("0", "否"),
        item_1("1", "是");

        private String item;
        private String itemName;

        discountIsPast(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 是否过期 0：进行中，1：已结束，2：未开始
     */
    public enum isPast {
        item_0("0", "进行中"),
        item_1("1", "已结束"),
        item_2("2", "未开始");

        private String item;
        private String itemName;

        isPast(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 门店第三方商户是否属于供应商模式商品购买
     */
    public enum isSupplierGoods {
        item_0("0", "否"),
        item_1("1", "是");

        private String item;
        private String itemName;

        isSupplierGoods(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 商品库存数量变化后是否已共享,0：否，1：是(下单、退款、取消订单触发)
     */
    public enum isGoodsShareStock {
        item_0("0", "否"),
        item_1("1", "是");

        private String item;
        private String itemName;

        isGoodsShareStock(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 第三方商户快递协议类型，00:e码头，01:商户自谈
     */
    public enum exprAgreementType {
        item_00("00", "e码头"),
        item_11("11", "商户自谈");

        private String item;
        private String itemName;

        exprAgreementType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 第三方商户快递协议类型，1:商品导入，2:普通商品导入，3:门店导入，4：管理员导入，5：门店商品导入
     */
    public enum exportDataType {
        item_1("1", "商品导入"),
        item_2("2", "普通商品导入"),
        item_3("3", "门店导入"),
        item_4("4", "管理员导入"),
        item_5("5", "门店商品导入");

        private String item;
        private String itemName;

        exportDataType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 活体检测类型；LIP：数字模式，ACTION：动作模式，SILENT：静默模式
     */
    public enum livenessType {
        item_LIP("LIP", "数字模式"),
        item_ACTION("ACTION", "动作模式"),
        item_SILENT("SILENT", "静默模式");

        private String item;
        private String itemName;

        livenessType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 核验操作类型 1：人脸活体识别，2：按钮审核身份
     */
    public enum checkOperatorType {
        item_1("1", "人脸活体识别"),
        item_2("2", "按钮审核身份");

        private String item;
        private String itemName;

        checkOperatorType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }
}
